Create Brand
curl --request POST \
--url https://api.scrunchai.com/v1/brands \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"website": "<string>",
"description": "<string>",
"alternative_names": [],
"alternative_websites": [],
"competitors": [],
"personas": [],
"key_topics": [],
"status": "customer",
"case_sensitive": false
}
'import requests
url = "https://api.scrunchai.com/v1/brands"
payload = {
"name": "<string>",
"website": "<string>",
"description": "<string>",
"alternative_names": [],
"alternative_websites": [],
"competitors": [],
"personas": [],
"key_topics": [],
"status": "customer",
"case_sensitive": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
website: '<string>',
description: '<string>',
alternative_names: [],
alternative_websites: [],
competitors: [],
personas: [],
key_topics: [],
status: 'customer',
case_sensitive: false
})
};
fetch('https://api.scrunchai.com/v1/brands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Configuration API
Create Brand
Create a new brand
POST
/
brands
Create Brand
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
lead, prospect, customer When true, the brand name and alternative_names are matched against AI responses with exact case. Defaults to case-insensitive matching.
Response
Successful Response
Was this page helpful?
⌘I